Package org.apache.calcite.avatica

## Class MetaImpl.MetaFunction

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaFunction

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaFunction
    extends java.lang.Object

Metadata describing a function.

### Field Summary

Fields
`java.lang.String` `functionCat`
`java.lang.String` `functionName`
`java.lang.String` `functionSchem`
`short` `functionType`
`java.lang.String` `remarks`
`java.lang.String` `specificName`

### Constructor Summary

Constructors
`MetaFunction​(java.lang.String functionCat, java.lang.String functionSchem, java.lang.String functionName, short functionType, java.lang.String specificName)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### functionCat

    public final java.lang.String functionCat

#### functionSchem

    public final java.lang.String functionSchem

#### functionName

    public final java.lang.String functionName

#### remarks

    public final java.lang.String remarks

#### functionType

    public final short functionType

#### specificName

    public final java.lang.String specificName

### Constructor Detail

#### MetaFunction

    public MetaFunction​(java.lang.String functionCat,
                        java.lang.String functionSchem,
                        java.lang.String functionName,
                        short functionType,
                        java.lang.String specificName)